
/***************************************************
  This is an example sketch for our MP3 Module
  http://www.sgbotic.com/index.php?dispatch=products.view&product_id=2731

  Written by KC for SGBotic.
  BSD license, all text above must be included in any redistribution

  =====================================================


  Wiring:

  MP3 module:          Arduino Uno
  =================================
  Rx (pin 2)        ------> Pin 11 (Tx)
  Tx (pin 3)        ------> Pin 10 (Rx)
  Vcc (pin 1)       ------> 3.3V or 5V
  GND (pin 7 or 10) ------> GND
  Speaker (pin 6 and 8)

 ****************************************************/
#include <SGBotic_YX_MP3.h>
#include <SoftwareSerial.h>

SoftwareSerial mySerial(10, 11); // RX, TX

SGBotic_YX_MP3 mp3 = SGBotic_YX_MP3(&mySerial);

void setup() {

  Serial.begin(9600);
  Serial.println("SGBotic MP3 Module test sketch using SoftwareSerial");
  mp3.begin(9600);
  delay(1000);      //MP3 module initialization
}


unsigned char j = 1;

void loop() {
  mp3.setVolume(20);   // value: 0 to 30
  delay(100);          //short delay is required for MP3 player to execute command

  //mp3.play(track, folder);
  mp3.play(j, 1);    //play track 1 in folder "01". Folder name in two digit format: 01, 02, 03 ...
  delay(3000);


  for (int k = 1; k < 6; k++)
  {
    mp3.play(j+1, 1);    //play track 2 in folder "01". Folder name in two digit format: 01, 02, 03 ...
    delay(1000);
    mp3.play(j+2, 1);    //play track 3 in folder "01". Folder name in two digit format: 01, 02, 03 ...
    delay(1000);
    mp3.play(k, 2);    //play track 1 to 5 in folder "02". Folder name in two digit format: 01, 02, 03 ...
    delay(5000);
  }

  //mp3.repeatFolder(1);  //repeat all tracks in folder 01
  //mp3.reset();
  //mp3.pause();
  //mp3.stop()
  //mp3.sleep();
  //mp3.next();       // next track
  //mp3.prev();       // previous track

}
